package com.iformall.enums;

/**
 * Created by luozukai
 * 终止合同类型
 */
public enum EnumEndProperty {

    END_RENT(1, "终止租赁合同"),
    END_RENT_AND_PROPERTY(2, "终止租赁和物业合同"),
    ;

    public static EnumEndProperty getEnum(Integer code) {
        for (EnumEndProperty value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumEndProperty(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
